<template>
    <div class="edit-view">
        <el-form :model="formData" :rules="rules" ref="form" label-width="80px" label-position="right" size="small"
                 style="max-width: 500px;">
            <el-form-item prop="img" label="图片">
                <el-image style="width: 120px; height: 120px"
                          :src="formData.merchantComplaint.img" fit="cover"
                          :preview-src-list="[formData.merchantComplaint.img]">
                    <div slot="error">
                        <el-image style="width: 120px; height: 120px"
                                  src="https://idingdong.oss-cn-hangzhou.aliyuncs.com/image/2020-08-07-17-26-23hRwKPxhh.gif"
                                  fit="cover"/>
                    </div>
                </el-image>
            </el-form-item>
            <el-form-item prop="userNickname" label="投诉用户">
                <el-card shadow="hover" class="rt-card">{{formData.userNickname}}</el-card>
            </el-form-item>
            <el-form-item prop="merShowName" label="商家名称">
                <!-- <el-input v-model="formData.merShowName"></el-input>-->
                <el-card shadow="hover" class="rt-card">{{formData.merShowName}}</el-card>
            </el-form-item>
            <el-form-item prop="merchantComplaint.type" label="投诉类型">
                <el-card shadow="hover" class="rt-card">{{formData.merchantComplaint.type}}</el-card>
            </el-form-item>
            <el-form-item prop="content" label="具体内容">
                <el-card class="rt-card" shadow="hover" >{{formData.merchantComplaint.content}}</el-card>
            </el-form-item>
            <el-form-item prop="time" label="投诉时间">
                <!--<el-date-picker
                        v-model="formData.merchantComplaint.time"
                        type="datetime"
                        value-format="yyyy-MM-dd HH:mm:ss"
                        placeholder="选择日期时间">
                </el-date-picker>-->
                <el-input v-model="formData.merchantComplaint.time" readonly></el-input>
            </el-form-item>
            <el-form-item>
                <!--<el-button @click="onSave" :loading="saving"
                           type="primary">保存
                </el-button>
                <el-button @click="onDelete" :loading="saving"
                           type="danger" v-if="formData.merchantComplaint.id">删除
                </el-button>-->
                <el-button @click="$router.go(-1)">取消</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
    export default {
        name: 'MerchantComplaintEdit',
        created() {
            if (this.$route.query.id) {
                this.$http
                    .get('merchantComplaint/getDto/' + this.$route.query.id)
                    .then(res => {
                        this.formData = res;
                    })
                    .catch(e => {
                        console.log(e);
                        this.$message.error(e.error);
                    });
            }
        },
        data() {
            return {
                saving: false,
                formData: {
                    merchantComplaint:{}
                },
                rules: {},
            }
        },
        methods: {
            onSave() {
                this.$refs.form.validate((valid) => {
                    if (valid) {
                        this.submit();
                    } else {
                        return false;
                    }
                });
            },
            submit() {
                let data = {...this.formData};

                this.saving = true;
                this.$http
                    .post('/merchantComplaint/save', data, {body: 'json'})
                    .then(res => {
                        this.saving = false;
                        this.$message.success('成功');
                        this.$router.go(-1);
                    })
                    .catch(e => {
                        console.log(e);
                        this.saving = false;
                        this.$message.error(e.error);
                    });
            },
            onDelete() {
                this.$alert('删除将无法恢复，确认要删除么？', '警告', {type: 'error'}).then(() => {
                    return this.$http.post(`/merchantComplaint/del/${this.formData.id}`)
                }).then(() => {
                    this.$message.success('删除成功');
                    this.$router.go(-1);
                }).catch(e => {
                    if (e !== 'cancel') {
                        console.log(e);
                        this.$message.error(e.error);
                    }
                })
            },
        }
    }
</script>
<style lang="less" scoped>
    .rt-card /deep/ .el-card__body {
        padding: 3px 15px !important;
    }
</style>
